package com.supervision.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 相似问法表
 * @TableName ir_knowledge_similar
 */
@TableName(value ="ir_knowledge_similar",schema = "interro_robot")
@Data
public class IrKnowledgeSimilar implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 知识库ID
     */
    private String knowledgeId;

    /**
     * 相似问法
     */
    private String similarQuestion;

    /**
     * 生效状态(1生效 2部分生效 3未部署)
     */
    private Integer state;

    /**
     * 
     */
    private String createUserId;

    /**
     * 
     */
    private LocalDateTime createTime;

    /**
     * 
     */
    private String updateUserId;

    /**
     * 
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}